JAVA 17 / Tray

Fehler in TV-Browser
Antworten
Tom

JAVA 17 / Tray

Beitrag von Tom »

Das Tray in Version 4.2.3 funktioniert unter WINDOWS mit der neuesten Version von JAVA 17 nicht mehr!
Die Einstellungen zum Tray werden in den Optionen nicht (mehr) angezeigt.
Nach Rückinstallation von JAVA 16 funktioniert wieder alles reibungslos.
Vielen Dank für das Programm!
ds10
Site Admin
Beiträge: 18334
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: JAVA 17 / Tray

Beitrag von ds10 »

Für TV-Browser 4.2.3 ist Java 11 die empfohlene Version. Es kann daher sein, dass es mit höheren Java-Versionen nicht richtig funktioniert.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser
Tom

Re: JAVA 17 / Tray

Beitrag von Tom »

Vielen Dank für den Hinweis!
Da TV-BROWSER neben JDOWNLOADER(2) und MEDIATHEKVIEW noch hier bei mir JAVA benötigt, dieses aber nicht gerade durch seine Sicherheitsanalyse glänzt, werde ich mir überlegen, wieder auf JAVA 11 zurück zu gehen, um noch unterstütze Versionen nutzen zu können.
Ich nutze JAVA aber auch nicht in einer Browserumgebung, sondern eben nur für die drei genannten Programme.
uzi
Site Admin
Beiträge: 2218
Registriert: 02 Jul 2009, 14:32

Re: JAVA 17 / Tray

Beitrag von uzi »

java 11 ist ein LTS release und wird als solches nach wie vor mit sicherheitsupdates versorgt. es ist also nicht unsicherer, als java 17.
Tom

Re: JAVA 17 / Tray

Beitrag von Tom »

Habe mich jetzt noch einmal "schlau gemacht": TV-BROWSER (Java11), JDOWNLOADER (habe ich hier nur in der portablen Version ohne Java vorliegen) und auch MEDIATHEKVIEW (JAVA16) bringen die eigenen Laufzeitroutinen ja schon im Programm selbst mit.
Also müssten "eigentlich" alle Programme auch ohne systemweit installiertes Java laufen - wie schon geschrieben bei JDOWNLOADER(2) kann ich es aufgrund der portablen Version ohne Java nicht prüfen.
Danke (nochmals) für die Hinweise!
Anton_D

Re: JAVA 17 / Tray

Beitrag von Anton_D »

Ich habe hier noch eine Nachfrage: Java 17 ist doch das neue LTS. Früher oder später wird die dann Java 11 als aktuelles LTS ablösen. Wäre es dann nicht sinnvoll, TV-Browser mit der nächsten Version für Java 17 vorzubereiten? Es sieht sowieso aktuell so aus, dass dieser Fehler hier der einzige Fehler wäre.
ds10
Site Admin
Beiträge: 18334
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: JAVA 17 / Tray

Beitrag von ds10 »

TV-Browser wird auch rechtzeitig auf Java 17 umgestellt, aber zur Zeit gibt es noch keinen Grund zur Eile, denn Java 11 wird noch zwei Jahre voll unterstützt.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser
skaro
Newbie
Beiträge: 6
Registriert: 17 Feb 2020, 14:57

Re: JAVA 17 / Tray

Beitrag von skaro »

Tom hat geschrieben: 16 Sep 2021, 12:41 Habe mich jetzt noch einmal "schlau gemacht": TV-BROWSER (Java11), JDOWNLOADER (habe ich hier nur in der portablen Version ohne Java vorliegen) und auch MEDIATHEKVIEW (JAVA16) bringen die eigenen Laufzeitroutinen ja schon im Programm selbst mit.
Also müssten "eigentlich" alle Programme auch ohne systemweit installiertes Java laufen - wie schon geschrieben bei JDOWNLOADER(2) kann ich es aufgrund der portablen Version ohne Java nicht prüfen.
Danke (nochmals) für die Hinweise!

TV Browser und Jdownloader laufen mit der der Portablen version von Java 11 ohne Probleme .

Mit den Java Dateien von Adoptium funktioniert es problemlos . kann kein Link posten

Im JDownloader Ordner wird die Portable Java Version im Ordner JRE entpackt

Im TV Browser in den Ordner Java

Ich habe Jave nur Portable für diese 2 Programme .

Bei Mediatherkview mußt du mal schauen ob du in dem Programm ordner ein order mit JRe oder Java findest und kannst da die Aktuelle Jave Version entpacken . 16.xxx oder sogar 17.

TV Browser und JDownloader ist es egal , ob es die JRE oder die JDK ist .

ds10 hat geschrieben: 01 Okt 2021, 10:52 TV-Browser wird auch rechtzeitig auf Java 17 umgestellt, aber zur Zeit gibt es noch keinen Grund zur Eile, denn Java 11 wird noch zwei Jahre voll unterstützt.
bis Java 11 nicht mehr unterstützt wird , gibt es ja sicherlich eine höhere Java LTS version als 17 dann kann man ja dann direkt auf die setzten , sofern man ja die 2 nächsten jahre auf Java 11 setzt.
Antworten